Bug 389921 - libgnomebreakpad.so should be provided as a separate package
Summary: libgnomebreakpad.so should be provided as a separate package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bug-buddy
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-19 03:35 UTC by Takanori MATSUURA
Modified: 2009-01-09 05:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 05:16:13 UTC


Attachments (Terms of Use)

Description Takanori MATSUURA 2007-11-19 03:35:44 UTC
The case using i386 applications (AdobeReader) on x86_64, it requires i386
version of libgnomebreakpad.so library that is included in bug-buddy package.

But bug-buddy is now provided only x86_64 version for x86_64 Fedora 8.

I think libgnomebreakpad.so is provided as a separated package from bug-buddy
like Mandriba 2008 and both i386 and x86_64 version of libgnomebreakpad packages
should be prepared for x86_64.

Comment 1 Rehan Khan 2007-12-25 23:48:00 UTC
An alternative fix might be to add a /etc/ld.so.conf.d/gtk-2.0.conf file with 
the following entry:

/usr/lib/gtk-2.0/modules

(then do a ldconfig)

This fixes the same problem on Fedora 8 i386 with Xdialog but I think it will 
also fix the original problem.

This might be a gtk+ issue (gtk+ has dependancies on gtk2/bug-buddy in 
Fedora?)

see this post for the original solution:

http://forums.fedoraforum.org/showthread.php?p=929752#post929752



Comment 2 Richard S. Hendershot 2008-04-13 17:23:36 UTC
My case is compiling and running a C program from NetBeans.  In the console I'd
get the complaint about libgnomebreakpad.  My lib lib/gtk-2.0/modules has only
two files.  Installing the i386 Bug-Buddy had other dependencies.  I keep as
much in the x86_64 realm as possible.

So all I did was create the /etc/ld.so.conf.d/gtk-2.0.conf with the single line
/usr/lib64/gtk-2.0/modules

This corrected the problem.

It doesn't appear to be a need to have the i386 version, but rather that the
.conf is never installed in the first place.

This is regarding:   bug-buddy-2.20.1-1.fc8

Comment 3 Bas Mevissen 2008-05-27 23:33:49 UTC
Issue is still there for F9 for both i386 as x86_64 compiled programs. Luckely,
bug-buddy.i386 is included in the F9 x86_64 stream.

So on Fedora 9 x86_64 systems, the gnomebreakpad.so issues can be fixed for both
i386 and x86_64 applications by:

- yum -y install bug-buddy.i386
- create a file /etc/ld.so.conf.d/gtk-2.0.conf containing the lines
/usr/lib/gtk-2.0/modules
/usr/lib64/gtk-2.0/modules
- run ldconfig

Guess the version number should be updated to 9 now.


Comment 4 Bug Zapper 2008-11-26 08:33:56 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-01-09 05:16:13 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.